package Linode::Longview::DataGetter::Uptime;

use Exporter;
@ISA       = qw(Exporter);
@EXPORT_OK = qw(get);

use Linode::Longview::Util qw(slurp_file $procfs);

sub get {
	my (undef, $dataref) = @_;
	$dataref->{INSTANT}->{"Uptime"} = ( split( /\s+/, slurp_file( $procfs . 'uptime' ) ) )[0]
		or die "Couldn't check ${procfs}uptime: $!";
	$dataref->{INSTANT}->{"Uptime"} = $dataref->{INSTANT}->{"Uptime"} +0;
	return $dataref;
}
