package Linode::Longview::DataGetter::Load;

use Exporter;
@ISA       = qw(Exporter);
@EXPORT_OK = qw(get);

use Linode::Longview::Util qw(slurp_file $procfs);

sub get {
	my (undef, $dataref) = @_;
	my $load = ( split( /\s/, ( slurp_file( $procfs . 'loadavg' ) )[0], 2 ) )[0]
		or die "Couldn't check ${procfs}loadavg: $!";

	# We need to "numify" this match to make JSON::PP not-quote
	$dataref->{LONGTERM}->{"Load"} = $load + 0;
	return $dataref;
}

1;
